---
title: any-pointer
slug: Web/CSS/@media/any-pointer
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>any-pointer</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> tests whether the user has <em>any</em> pointing device (such as a mouse), and if so, how accurate it is.</p>

<div class="note">
<p><strong>Note:</strong> If you want to test the accuracy of the <em>primary</em> pointing device, use <code><a href="/en-US/docs/Web/CSS/@media/pointer">pointer</a></code> instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<p>The <code>any-pointer</code> feature is specified as a keyword value chosen from the list below.</p>

<dl>
 <dt><code>none</code></dt>
 <dd>No pointing device is available.</dd>
 <dt><code>coarse</code></dt>
 <dd>At least one input mechanism includes a pointing device of limited accuracy.</dd>
 <dt><code>fine</code></dt>
 <dd>At least one input mechanism includes an accurate pointing device.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> More than one value can match if the available devices have different characteristics, although <code>none</code> only matches when none of them are pointing devices.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>This example creates a small checkbox for users with at least one fine pointer and a large checkbox for users with at least one coarse pointer. The big checkbox takes precedence because it is declared after the small one.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;input id="test" type="checkbox" /&gt;
&lt;label for="test"&gt;Look at me!&lt;/label&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">input[type="checkbox"]:checked {
  background: gray;
}

@media (any-pointer: fine) {
  input[type="checkbox"] {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border: 1px solid blue;
  }
}

@media (any-pointer: coarse) {
  input[type="checkbox"] {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    width: 30px;
    height: 30px;
    border: 2px solid red;
  }
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#descdef-media-any-pointer', 'any-pointer')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.any-pointer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/@media/pointer">The <code>pointer</code> media feature</a></li>
</ul>
